APIFeed (3.14.0 600 API)
Date: 2025-11-24

com.marketfactory.zerogc.api

## Class APIFeed

- java.lang.Object
- - com.marketfactory.zerogc.api.APIFeed

- All Implemented Interfaces:
    IMessage, java.io.Serializable, java.lang.Comparable<APIFeed>

      public final class APIFeed
      extends java.lang.Object
      implements IMessage, java.lang.Comparable<APIFeed>, java.io.Serializable

  A market-data and trading feed.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `MFString` | `exchangeName` The name of the exchange.
    `int` | `feedID` A unique identifier for the feed.
    `long` | `flags` APIFeed flags bitmask providing information about the feed.
    `APIMarket[]` | `marketList` A list of markets supported by this feed.
    `MFString` | `name` The name of the field (from the configuration).
    `APIMarket[][]` | `recycleableZeroGCmarketList`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `APIFeed()`
    `` | `APIFeed(MFString name, MFString exchangeName, int feedID, long flags, APIMarket[] marketList)`
    `protected` | `APIFeed(ZeroGCProtoByteBuffer buffer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(APIFeed rhs)`
    `void` | `deepCopy(APIFeed src)`
    `void` | `deserializeZeroGC(ZeroGCProtoByteBuffer buffer)`
    `protected void` | `dump(TextWriter wr)`
    `boolean` | `equals(java.lang.Object rhs)`
    `int` | `getMsgType()`
    `int` | `hashCode()`
    `APIMarket[]` | `recycleZeroGCmarketListArray(int size)`
    `void` | `serialize(ZeroGCProtoByteBuffer buffer)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public MFString name

      The name of the field (from the configuration).

    - #### exchangeName

          public MFString exchangeName

      The name of the exchange.

    - #### feedID

          public int feedID

      A unique identifier for the feed.

    - #### flags

          public long flags

      APIFeed flags bitmask providing information about the feed.
      See Also:
        `enum for possible values.`

    - #### marketList

          public APIMarket[] marketList

      A list of markets supported by this feed.

    - #### recycleableZeroGCmarketList

          public APIMarket[][] recycleableZeroGCmarketList

  - ### Constructor Detail

    - #### APIFeed

          public APIFeed()

    - #### APIFeed

          protected APIFeed(ZeroGCProtoByteBuffer buffer)

    - #### APIFeed

          public APIFeed(MFString name,
                         MFString exchangeName,
                         int feedID,
                         long flags,
                         APIMarket[] marketList)

  - ### Method Detail

    - #### recycleZeroGCmarketListArray

          public APIMarket[] recycleZeroGCmarketListArray(int size)

    - #### getMsgType

          public int getMsgType()

      Specified by:
        `getMsgType` in interface `IMessage`

    - #### deepCopy

          public void deepCopy(APIFeed src)

    - #### equals

          public boolean equals(java.lang.Object rhs)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(APIFeed rhs)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<APIFeed>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### deserializeZeroGC

          public void deserializeZeroGC(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `deserializeZeroGC` in interface `IMessage`

    - #### serialize

          public void serialize(ZeroGCProtoByteBuffer buffer)

      Specified by:
        `serialize` in interface `IMessage`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IMessage`
      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          protected void dump(TextWriter wr)